export { pluginApi } from './api.js';
export { pluginHeader } from './header.js';
import { ZodiosPlugin } from '@zodios/core';
export { TokenProvider, pluginToken } from './token.js';
export { F as FetchPluginOptions, p as pluginFetch } from './fetch-plugin-5e8430b2.js';

/**
 * delete an existing header
 * @param key - the header key to be deleted
 * @returns ZodiosPlugin
 */
declare function pluginClearHeader(key: string): ZodiosPlugin;

/**
 * override the default baseURL
 * @param baseURL - the new baseUrl
 * @returns Zodios plugin
 */
declare function pluginBaseURL(baseURL: string): ZodiosPlugin;

export { pluginBaseURL, pluginClearHeader };
